Bug 108040 - If is going to be graphical, then make it all graphical
If is going to be graphical, then make it all graphical
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-26 15:45 EST by Paul Ionescu
Modified: 2013-04-02 00:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 10:37:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Ionescu 2003-10-26 15:45:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
If is going to be a graphical boot, then there should be no text output at the
loading of the kernel till the starting of X.
It should be either redirected to a dummy console, or suppressed with a kernel
boot option.
Then, you start X server for rhgb, then shut it down to load X server for gdm.
That is time consuming for nothing. It should be done as an option in a single X
server session. I know there are many xdm clones like gdm,kdm,xdm, a.s.o, but at
least make rhgb linked to the default one (gdm). Or make it plain gdm and
gdm+rhgb in one piece to avoid arguing that one may like gdm without rhgb and
viceversa.

It is a pity to see that other distros have better graphical boot, like
including bootsplash from http://www.bootsplash.org/.
why this patch is not included in the kernel anyway ?
You can disable at runtime if needed.

Version-Release number of selected component (if applicable):
rhgb-0.10.2-1

How reproducible:
Always

Steps to Reproduce:
1.boot with rhgb

    

Actual Results:  text output from kernel and X restart between rhgb and gdm.

Expected Results:  nice graphical something, and neat transition from rhgb to gdm.

Additional info:
Comment 1 Harald Glatt 2004-02-04 08:12:41 EST
Hi, 

thats exactly what I just wanted to post as a bug myself...
Most appreciated!

bye
Harald
Comment 2 Jonathan Blandford 2004-02-04 10:37:35 EST
you can append 'silent' to your boot line, and a large chunk of the
text will go away.

Note You need to log in before you can comment on or make changes to this bug.